%define upstream_name    CPAN-Mini-Extract
%define upstream_version 1.23

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Create CPAN::Mini mirrors with the archives extracted
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CPAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Tar) >= 1.220.0
BuildRequires: perl(CPAN::Mini) >= 1.111.4
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(File::Find::Rule) >= 0.300.0
BuildRequires: perl(File::HomeDir) >= 0.880.0
BuildRequires: perl(File::Remove) >= 0.340.0
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(File::Temp) >= 0.210.0
BuildRequires: perl(IO::File) >= 1.140.0
BuildRequires: perl(IO::Uncompress::Gunzip) >= 2.17.0
BuildRequires: perl(LWP::Online) >= 0.30.0
BuildRequires: perl(List::Util) >= 1.150.0
BuildRequires: perl(Params::Util) >= 1.0.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(URI) >= 1.370.0
BuildArch:  noarch

%description
'CPAN::Mini::Extract' provides a base for implementing systems that
download "all" of CPAN, extract the dists and then process the files
within.

It provides the same syncronisation functionality as the CPAN::Mini manpage
except that it also maintains a parallel directory tree that contains a
directory located at an identical path to each archive file, with a
controllable subset of the files in the archive extracted below.

How does it work
    'CPAN::Mini::Extract' starts with a the CPAN::Mini manpage local
    mirror, which it will optionally update before each run. Once the the
    CPAN::Mini manpage directory is current, it will scan both directory
    trees, extracting any new archives and removing any extracted archives
    no longer in the minicpan mirror.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Jul 11 2017 bb2 <bb2> - 1.230.0-9pclos2017
- rebuild against updates

